Package ru.bitel.bgbilling.plugins.crm.common.model

# Class PersonalRegisterTask.Builder

java.lang.Object
ru.bitel.bgbilling.plugins.crm.common.model.PersonalRegisterTask.Builder

Enclosing class:
  PersonalRegisterTask

    public static class PersonalRegisterTask.Builder
    extends java.lang.Object

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `PersonalRegisterTask` | `build()` |
  `PersonalRegisterTask.Builder` | `setArea​(java.lang.String area)` |
  `PersonalRegisterTask.Builder` | `setCity​(java.lang.String city)` |
  `PersonalRegisterTask.Builder` | `setContract​(java.lang.String contract)` |
  `PersonalRegisterTask.Builder` | `setContractComment​(java.lang.String contractComment)` |
  `PersonalRegisterTask.Builder` | `setFio​(java.lang.String fio)` |
  `PersonalRegisterTask.Builder` | `setFlat​(java.lang.String flat)` |
  `PersonalRegisterTask.Builder` | `setFloor​(int floor)` |
  `PersonalRegisterTask.Builder` | `setHouse​(java.lang.String house)` |
  `PersonalRegisterTask.Builder` | `setObjectTitle​(java.lang.String objectTitle)` |
  `PersonalRegisterTask.Builder` | `setPhone​(java.lang.String phone)` |
  `PersonalRegisterTask.Builder` | `setPod​(int pod)` |
  `PersonalRegisterTask.Builder` | `setQuarter​(java.lang.String quarter)` |
  `PersonalRegisterTask.Builder` | `setStreet​(java.lang.String street)` |
  `PersonalRegisterTask.Builder` | `setTask​(RegisterTask task)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### setArea

    public PersonalRegisterTask.Builder setArea​(java.lang.String area)

  - ### setCity

    public PersonalRegisterTask.Builder setCity​(java.lang.String city)

  - ### setContract

    public PersonalRegisterTask.Builder setContract​(java.lang.String contract)

  - ### setContractComment

    public PersonalRegisterTask.Builder setContractComment​(java.lang.String contractComment)

  - ### setFio

    public PersonalRegisterTask.Builder setFio​(java.lang.String fio)

  - ### setFlat

    public PersonalRegisterTask.Builder setFlat​(java.lang.String flat)

  - ### setFloor

    public PersonalRegisterTask.Builder setFloor​(int floor)

  - ### setHouse

    public PersonalRegisterTask.Builder setHouse​(java.lang.String house)

  - ### setObjectTitle

    public PersonalRegisterTask.Builder setObjectTitle​(java.lang.String objectTitle)

  - ### setPhone

    public PersonalRegisterTask.Builder setPhone​(java.lang.String phone)

  - ### setPod

    public PersonalRegisterTask.Builder setPod​(int pod)

  - ### setQuarter

    public PersonalRegisterTask.Builder setQuarter​(java.lang.String quarter)

  - ### setStreet

    public PersonalRegisterTask.Builder setStreet​(java.lang.String street)

  - ### setTask

    public PersonalRegisterTask.Builder setTask​(RegisterTask task)

  - ### build

    public PersonalRegisterTask build()